## EShellSearchbar EShellSearchbar — quick search interface |

## Functions

GtkWidget * | e_shell_searchbar_new ()
EShellView * | e_shell_searchbar_get_shell_view ()
EActionComboBox * | e_shell_searchbar_get_filter_combo_box ()
gboolean | e_shell_searchbar_get_filter_visible ()
void | e_shell_searchbar_set_filter_visible ()
const gchar * | e_shell_searchbar_get_search_hint ()
void | e_shell_searchbar_set_search_hint ()
GtkRadioAction * | e_shell_searchbar_get_search_option ()
void | e_shell_searchbar_set_search_option ()
const gchar * | e_shell_searchbar_get_search_text ()
void | e_shell_searchbar_set_search_text ()
GtkWidget * | e_shell_searchbar_get_search_box ()
EActionComboBox * | e_shell_searchbar_get_scope_combo_box ()
gboolean | e_shell_searchbar_get_scope_visible ()
void | e_shell_searchbar_set_scope_visible ()
void | e_shell_searchbar_set_state_dirty ()
const gchar * | e_shell_searchbar_get_state_group ()
void | e_shell_searchbar_set_state_group ()
void | e_shell_searchbar_load_state ()
void | e_shell_searchbar_save_state ()
void | e_shell_searchbar_search_entry_grab_focus ()

## Types and Values

struct | EShellSearchbar

## Includes

    #include <shell/e-shell-searchbar.h>

## Description

## Functions

### e_shell_searchbar_new ()

    GtkWidget *
    e_shell_searchbar_new (EShellView *shell_view);

`e_shell_searchbar_new` is deprecated and should not be used in newly-written code.

Creates a new EShellSearchbar instance.

#### Parameters

shell_view | an EShellView |

#### Returns

a new EShellSearchbar instance

### e_shell_searchbar_get_shell_view ()

    EShellView *
    e_shell_searchbar_get_shell_view (EShellSearchbar *searchbar);

`e_shell_searchbar_get_shell_view` is deprecated and should not be used in newly-written code.

Returns the EShellView that was passed to `e_shell_searchbar_new()`.

#### Parameters

searchbar | an EShellSearchbar |

#### Returns

the EShellView to which `searchbar` belongs

### e_shell_searchbar_get_filter_combo_box ()

    EActionComboBox *
    e_shell_searchbar_get_filter_combo_box
                                   (EShellSearchbar *searchbar);

`e_shell_searchbar_get_filter_combo_box` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_get_filter_visible ()

    gboolean
    e_shell_searchbar_get_filter_visible (EShellSearchbar *searchbar);

`e_shell_searchbar_get_filter_visible` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_set_filter_visible ()

    void
    e_shell_searchbar_set_filter_visible (EShellSearchbar *searchbar,
                                          gboolean filter_visible);

`e_shell_searchbar_set_filter_visible` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_get_search_hint ()

    const gchar *
    e_shell_searchbar_get_search_hint (EShellSearchbar *searchbar);

`e_shell_searchbar_get_search_hint` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_set_search_hint ()

    void
    e_shell_searchbar_set_search_hint (EShellSearchbar *searchbar,
                                       const gchar *search_hint);

`e_shell_searchbar_set_search_hint` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_get_search_option ()

    GtkRadioAction *
    e_shell_searchbar_get_search_option (EShellSearchbar *searchbar);

`e_shell_searchbar_get_search_option` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_set_search_option ()

    void
    e_shell_searchbar_set_search_option (EShellSearchbar *searchbar,
                                         GtkRadioAction *search_option);

`e_shell_searchbar_set_search_option` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_get_search_text ()

    const gchar *
    e_shell_searchbar_get_search_text (EShellSearchbar *searchbar);

`e_shell_searchbar_get_search_text` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_set_search_text ()

    void
    e_shell_searchbar_set_search_text (EShellSearchbar *searchbar,
                                       const gchar *search_text);

`e_shell_searchbar_set_search_text` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_get_search_box ()

    GtkWidget *
    e_shell_searchbar_get_search_box (EShellSearchbar *searchbar);

`e_shell_searchbar_get_search_box` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_get_scope_combo_box ()

    EActionComboBox *
    e_shell_searchbar_get_scope_combo_box (EShellSearchbar *searchbar);

`e_shell_searchbar_get_scope_combo_box` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_get_scope_visible ()

    gboolean
    e_shell_searchbar_get_scope_visible (EShellSearchbar *searchbar);

`e_shell_searchbar_get_scope_visible` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_set_scope_visible ()

    void
    e_shell_searchbar_set_scope_visible (EShellSearchbar *searchbar,
                                         gboolean scope_visible);

`e_shell_searchbar_set_scope_visible` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_set_state_dirty ()

    void
    e_shell_searchbar_set_state_dirty (EShellSearchbar *searchbar);

`e_shell_searchbar_set_state_dirty` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_get_state_group ()

    const gchar *
    e_shell_searchbar_get_state_group (EShellSearchbar *searchbar);

`e_shell_searchbar_get_state_group` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_set_state_group ()

    void
    e_shell_searchbar_set_state_group (EShellSearchbar *searchbar,
                                       const gchar *state_group);

`e_shell_searchbar_set_state_group` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_load_state ()

    void
    e_shell_searchbar_load_state (EShellSearchbar *searchbar);

`e_shell_searchbar_load_state` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_save_state ()

    void
    e_shell_searchbar_save_state (EShellSearchbar *searchbar);

`e_shell_searchbar_save_state` is deprecated and should not be used in newly-written code.

### e_shell_searchbar_search_entry_grab_focus ()

    void
    e_shell_searchbar_search_entry_grab_focus
                                   (EShellSearchbar *searchbar);

`e_shell_searchbar_search_entry_grab_focus` is deprecated and should not be used in newly-written code.

## Types and Values

### struct EShellSearchbar

    struct EShellSearchbar {
    	GtkBox parent;
    	EShellSearchbarPrivate *priv;
    };

`EShellSearchbar` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.